Subject: bug#49786: 28.0.50; [PATCH] package-install shouldn't change default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Jul 2021 09:09:32 +0300

> From: dick <[email-masked]>
> Cc: Ioannis Kappas <[email-masked]>,  [email-masked]
> Date: Fri, 30 Jul 2021 16:41:15 -0400
> 
> EZ> The 'mac' encoding is documented in the ELisp manual.  Please don't remove
> EZ> its testing here.
> 
> Ah, so it does.  I'm rather content to let the OS9 diehards stew in
> their own obsolescence.  There's no telling what else doesn't work on an OS
> that was last released in the twentieth century.  But it's impossible to
> disabuse the maintainer of the maintainer ethos: "preservation above-all" [1].

The 'mac' encoding is not about that old OS, it's about documents
written on that OS.  The documents can outlive their OS by many
decades.